Deployments.ai Docs
Security

List identities linked through the identity provider

GET /v1/identity-provider/links · SDK listIdentityProviderLinks · CLI deployments identity-provider links

GET
/v1/identity-provider/links

Requires members:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

ListIdentityProviderLinksResponse

application/json
  1. response
items*array<>
nextCursor?|null|null
curl -X GET "https://example.com/v1/identity-provider/links" \  -H "x-deployments-organization: string"
{  "items": [    {      "createdAt": "2019-08-24T14:15:22Z",      "email": "string",      "id": "string",      "issuer": "string",      "principalId": "string",      "subject": "string"    }  ],  "nextCursor": "string"}